#pragma once

#include<iostream>
#include<vector>

using namespace std;

//All optimization problems must implement these methods
class OptimizationProblemInterface {
public:
	virtual vector<double> evaluate(vector<double> p) = 0;
	virtual int D() = 0;
	virtual vector<double> Dmin() = 0;
	virtual vector<double> Dmax() = 0;

	virtual ~OptimizationProblemInterface(){};
};
